tool
extends StaticBody2D

export var width = 1

var woodSprite = preload("res://sprites/tiles/platform.png")

#Tool mode vars
var lastWidth = 1


func _ready():
	if get_tree().is_editor_hint():
		set_fixed_process(true)
		lastWidth = width
	
	get_node("CollisionShape2D").set_scale(Vector2(width, 1))
	update()


func _fixed_process(delta):
	if lastWidth != width:
		get_node("CollisionShape2D").set_scale(Vector2(width, 1))
		update()
	lastWidth = width


func _draw():
	for i in range(width):
		var pos = Vector2((i * 32) - ((width * 32) / 2.0), -8)
		var region = Vector2(32, 0)
		if width > 1 and i == 0:
			region.x = 0
		elif width > 1 and i == (width - 1):
			region.x = 64
		elif width == 1:
			region.x = 96
		
		draw_texture_rect_region(woodSprite, Rect2(pos, Vector2(32, 16)), Rect2(region, Vector2(32, 16)))


